Rivet: Data object registration, retrieval, and removal

| Rivet 3.1.9

Functions
Data object registration, retrieval, and removal

## Functions
size_t | Rivet::Analysis::defaultWeightIndex () const
| Get the default/nominal weight index.
template<typename YODAT >
shared_ptr< YODAT > | Rivet::Analysis::getPreload (string path) const
| Get a preloaded YODA object.
template<typename YODAT >
rivet_shared_ptr< Wrapper< YODAT > > | Rivet::Analysis::registerAO (const YODAT &yao)
| Register a new data object, optionally read in preloaded data.
template<typename AO = MultiweightAOPtr>
AO | Rivet::Analysis::addAnalysisObject (const AO &aonew)
| Register a data object in the histogram system.
void | Rivet::Analysis::removeAnalysisObject (const std::string &path)
| Unregister a data object from the histogram system (by name)
void | Rivet::Analysis::removeAnalysisObject (const MultiweightAOPtr &ao)
| Unregister a data object from the histogram system (by pointer)
template<typename AO = MultiweightAOPtr>
const AO | Rivet::Analysis::getAnalysisObject (const std::string &aoname) const
| Get a Rivet data object from the histogram system.
template<typename AO = MultiweightAOPtr>
AO | Rivet::Analysis::getAnalysisObject (const std::string &ananame, const std::string &aoname)

## Detailed Description

## Function Documentation

## ◆ getAnalysisObject()

template<typename AO = MultiweightAOPtr>

AO Rivet::Analysis::getAnalysisObject | ( | const std::string & | ananame,
|  | const std::string & | aoname
| ) |  |
| inlineprotected

Get a data object from another analysis (e.g. preloaded calibration histogram).

## ◆ registerAO()

template<typename YODAT >

rivet_shared_ptr< Wrapper< YODAT > > Rivet::Analysis::registerAO | ( | const YODAT & | yao | ) |
| inlineprotected

Register a new data object, optionally read in preloaded data.

Todo:
  What about if/when we want to make the final objects the Scatter or binned persistent type?

References Rivet::Analysis::analysisObjects(), Rivet::bookingCompatible(), MSG_ERROR, MSG_TRACE, MSG_WARNING, and Rivet::Analysis::name().